Package com.google.android.exoplayer2.metadata.mp4

## Class MotionPhotoMetadata

- java.lang.Object
- - com.google.android.exoplayer2.metadata.mp4.MotionPhotoMetadata

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class MotionPhotoMetadata
      extends Object
      implements Metadata.Entry

  Metadata of a motion photo file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<MotionPhotoMetadata>` | `CREATOR` |
    `long` | `photoPresentationTimestampUs` | The presentation timestamp of the photo, in microseconds, or `C.TIME_UNSET` if unknown.
    `long` | `photoSize` | The size of the photo data, in bytes.
    `long` | `photoStartPosition` | The start offset of the photo data, in bytes.
    `long` | `videoSize` | The size of the video data, in bytes.
    `long` | `videoStartPosition` | The start offset of the video data, in bytes.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MotionPhotoMetadata​(long photoStartPosition, long photoSize, long photoPresentationTimestampUs, long videoStartPosition, long videoSize)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### photoStartPosition

          public final long photoStartPosition

      The start offset of the photo data, in bytes.

    - #### photoSize

          public final long photoSize

      The size of the photo data, in bytes.

    - #### photoPresentationTimestampUs

          public final long photoPresentationTimestampUs

      The presentation timestamp of the photo, in microseconds, or `C.TIME_UNSET` if unknown.

    - #### videoStartPosition

          public final long videoStartPosition

      The start offset of the video data, in bytes.

    - #### videoSize

          public final long videoSize

      The size of the video data, in bytes.

    - #### CREATOR

          public static final Parcelable.Creator<MotionPhotoMetadata> CREATOR

  - ### Constructor Detail

    - #### MotionPhotoMetadata

          public MotionPhotoMetadata​(long photoStartPosition,
                                     long photoSize,
                                     long photoPresentationTimestampUs,
                                     long videoStartPosition,
                                     long videoSize)

      Creates an instance.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`